#
# Conditional build:
%bcond_without	apidocs		# do not build and package API docs
%bcond_without	static_libs	# don't build static libraries
#
Summary:	User interface builder for GTK+ and GNOME
Summary(pl.UTF-8):	Budowniczy interfejsów użytkownika dla GTK+ i GNOME
Name:		glade
Version:	3.16.1
Release:	1
License:	GPL v2+ and LGPL v2.1+
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/glade/3.16/%{name}-%{version}.tar.xz
# Source0-md5:	1b60003e91a19cc0f1acae24d30269fc
URL:		http://glade.gnome.org/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.11
BuildRequires:	gettext-devel >= 0.17
BuildRequires:	gnome-common
BuildRequires:	gobject-introspection-devel >= 1.32.0
BuildRequires:	gtk+3-devel >= 3.6.0
BuildRequires:	gtk-doc >= 1.13
BuildRequires:	intltool >= 0.41.0
BuildRequires:	libtool >= 2:2.2.6
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libxslt-progs
BuildRequires:	pkgconfig
BuildRequires:	python-pygobject3-devel >= 3.8.0
BuildRequires:	rpmbuild(find_lang) >= 1.23
BuildRequires:	rpmbuild(macros) >= 1.311
BuildRequires:	tar >= 1:1.22
BuildRequires:	xz
BuildRequires:	yelp-tools
Requires(post,postun):	gtk-update-icon-cache
Requires(post,postun):	desktop-file-utils
Requires:	%{name}-libs = %{version}-%{release}
Requires:	hicolor-icon-theme
Conflicts:	glade3 < 3.8.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Glade is a RAD tool to enable quick & easy development of user
interfaces for the GTK+ toolkit and the GNOME desktop environment.

The user interfaces designed in Glade are saved as XML, and by using
the GtkBuilder GTK+ object these can be loaded by applications
dynamically as needed.

By using GtkBuilder, Glade XML files can be used in numerous
programming languages including C, C++, C#, Vala, Java, Perl, Python
and others.

%description -l pl.UTF-8
Glade jest narzędziem typu RAD (Rapid Application Development) do
szybkiego i wygodnego tworzenia interfejsów użytkownika opartych o
bibliotekę GTK+ i środowisko GNOME.

Interfejsy użytkownika zaprojektowane w Glade są zapisywane w formacie
XML i poprzez użycie obiektu GtkBuilder, z biblioteki GTK+, mogą być
dynamicznie ładowane przez aplikacje.

Poprzez użycie GtkBuilder, pliki XML Glade mogą być używane w licznych
językach programowania, włączając C, C++, C#, Vala, Java, Perl, Python
i inne.

%package libs
Summary:	Glade library
Summary(pl.UTF-8):	Biblioteka Glade
Group:		X11/Libraries
Requires:	gtk+3 >= 3.6.0
Requires:	libxml2 >= 2.4.0

%description libs
Glade library.

%description libs -l pl.UTF-8
Biblioteka Glade.

%package devel
Summary:	Header files for Glade library
Summary(pl.UTF-8):	Pliki nagłówkowe biblioteki Glade
Group:		X11/Development/Libraries
Requires:	%{name}-libs = %{version}-%{release}
Requires:	gtk+3-devel >= 3.6.0
Requires:	libxml2-devel >= 2.4.0

%description devel
Header files for Glade library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki Glade.

%package static
Summary:	Static Glade library
Summary(pl.UTF-8):	Statyczna biblioteka Glade
Group:		X11/Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static Glade library.

%description static -l pl.UTF-8
Statyczna biblioteka Glade.

%package apidocs
Summary:	Glade API documentation
Summary(pl.UTF-8):	Dokumentacja API biblioteki Glade
Group:		Documentation
Requires:	gtk-doc-common

%description apidocs
Glade API documentation.

%description apidocs -l pl.UTF-8
Dokumentacja API biblioteki Glade.

%prep
%setup -q

%build
%{__intltoolize}
%{__libtoolize}
%{__aclocal} -I m4
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-silent-rules \
	%{__enable_disable apidocs gtk-doc} \
	%{__enable_disable static_libs static} \
	--with-html-dir=%{_gtkdocdir}
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{_libdir}/glade/modules/*.{a,la}

%{__rm} $RPM_BUILD_ROOT%{_libdir}/*.la

%find_lang %{name} --with-gnome

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_icon_cache hicolor
%update_desktop_database_post

%postun
%update_icon_cache hicolor
%update_desktop_database_postun

%post	libs -p /sbin/ldconfig
%postun	libs -p /sbin/ldconfig

%files -f %{name}.lang
%defattr(644,root,root,755)
# NOTE: COPYING contains general notes; full GPL and LGPL texts are in COPYING.{GPL,LGPL}
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%attr(755,root,root) %{_bindir}/glade
%attr(755,root,root) %{_bindir}/glade-previewer
%dir %{_libdir}/glade
%dir %{_libdir}/glade/modules
%attr(755,root,root) %{_libdir}/glade/modules/libgladegtk.so
%attr(755,root,root) %{_libdir}/glade/modules/libgladepython.so
%{_datadir}/glade
%{_desktopdir}/glade.desktop
%{_iconsdir}/hicolor/*/apps/glade.png
%{_datadir}/appdata/glade.appdata.xml
%{_mandir}/man1/glade-previewer.1*
%{_mandir}/man1/glade.1*

%files libs
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-2.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgladeui-2.so.6
%{_libdir}/girepository-1.0/Gladeui-2.0.typelib

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libgladeui-2.so
%{_datadir}/gir-1.0/Gladeui-2.0.gir
%{_includedir}/libgladeui-2.0
%{_pkgconfigdir}/gladeui-2.0.pc

%if %{with static_libs}
%files static
%defattr(644,root,root,755)
%{_libdir}/libgladeui-2.a
%endif

%if %{with apidocs}
%files apidocs
%defattr(644,root,root,755)
%{_gtkdocdir}/gladeui-2
%endif
%changelog
* Mon Dec 23 2013 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/glade.git;a=log;h=master

* Mon Dec 23 2013 Łukasz Kieś <kiesiu@pld-linux.org> 89ca04d
- updated to 3.16.1

* Mon Sep 30 2013 Artur Frysiak <artur@frysiak.net> 3c11da3
- Up to 3.16.0 (note: new soname)

* Sat Dec 01 2012 Jakub Bogusz <qboosh@pld-linux.org> dbfea97
- little cleanup/revised dependencies

* Sat Dec 01 2012 Łukasz Kieś <kiesiu@pld-linux.org> c071c69
- updated to 3.14.2

* Mon Oct 15 2012 Łukasz Kieś <kiesiu@pld-linux.org> 75a2c7a
- updated to 3.14.1

* Wed Sep 26 2012 Łukasz Kieś <kiesiu@pld-linux.org> 74452e0
- updated to 3.14; new soname
- use yelp-tools instead of gtk-doc

* Sun May 27 2012 Marcin Banasiak <marcin.banasiak@gmail.com> 0f59bb0
- added C: glade3 < 3.8.2
- release 2

* Fri May 11 2012 Łukasz Kieś <kiesiu@pld-linux.org> 1375405
- updated to 3.12.1

* Sat Mar 31 2012 Marcin Banasiak <marcin.banasiak@gmail.com> f028f8e
- updated to 3.12.0

* Mon Dec 05 2011 lisu <lisu@pld-linux.org> 8e05174
- proper dir for apidocs

* Sat Oct 22 2011 Artur Frysiak <artur@frysiak.net> 53b4395
- up to 3.10.2

* Wed Apr 27 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4ef6843
- added missing deps for devel subpackage

* Wed Apr 27 2011 Marcin Banasiak <marcin.banasiak@gmail.com> 4fc8d86
- GTK+3 version of glade3 (parallel installable with glade3 which depends on GTK+2)

